Transfers

Transfer funds while managing the entities to transfer money to recoup funds from a seller, return money from a refund or to make up the difference when running a promotion.

Initiate a transfer of funds

Initiate a transfer of funds from source entity to destination entity.

Headers
  • Cko-Idempotency-Key
    Type: string
    required

    An idempotency key for safely retrying transfer requests

Body·
required
application/json

The details of the transfer.

  • transfer_type
    Type: string · enum
    required

    The type of transfer

    values
    • commission
    • promotion
    • refund
  • source
    Type: object ·
    required

    The object representing the source of the funds involved in the transfer.

  • destination
    Type: object ·
    required

    The object representing the destination of the funds involved in the transfer.

  • reference
    Type: string
    max length:  
    50

    A reference you can use later to identify this transfer

Responses
  • application/json
  • 400

    Bad Request

  • 401

    Unauthorized

  • application/json
Request Example for post/transfers
curl https://transfers.checkout.com/transfers \
  --request POST \
  --header 'Cko-Idempotency-Key: ' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "reference": "superhero1234",
  "transfer_type": "commission",
  "source": {
    "id": "ent_azsiyswl7bwe2ynjzujy7lcjca",
    "amount": 100,
    "currency": "GBP"
  },
  "destination": {
    "id": "ent_w4jelhppmfiufdnatam37wrfc4"
  }
}'
{
  "id": "tra_y3oqhf46pyzuxjbcn2giaqnb4",
  "status": "pending",
  "_links": {
    "self": {
      "href": "https://transfers.checkout.com/transfers/tra_y3oqhf46pyzuxjbcn2giaqnb4"
    }
  }
}

Retrieve a transfer

Retrieve transfer details using the transfer identifier.

Path Parameters
  • id
    Type: string
    required

    The transfer identifier

Responses
  • application/json
  • 400

    Bad Request

  • 401

    Unauthorized

  • 404

    Transfer not found

  • application/json
Request Example for get/transfers/{id}
curl https://transfers.checkout.com/transfers/tra_y3oqhf46pyzuxjbcn2giaqnb4 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "tra_y3oqhf46pyzuxjbcn2giaqnb4",
  "reference": "superhero1234",
  "status": "rejected",
  "transfer_type": "commission",
  "requested_on": "2021-12-15T09:15:02.3845763Z",
  "reason_codes": [
    "destination_transfers_capability_disabled",
    "source_and_destination_currency_accounts_must_be_different"
  ],
  "source": {
    "entity_id": "ent_azsiyswl7bwe2ynjzujy7lcjca",
    "amount": 100,
    "currency": "GBP"
  },
  "destination": {
    "entity_id": "ent_bqik7gxoavwhmy3ot6kvmbx6py"
  },
  "_links": {
    "self": {
      "href": "https://transfers.checkout.com/transfers/tra_y3oqhf46pyzuxjbcn2giaqnb4"
    }
  }
}